CREATE TABLE USER_SHORTCUT_DEP (
ID_USER_SHORTCUT_DEP NUMBER NOT NULL,
ID_USER_SHORTCUT NUMBER,
DEPARTMENT VARCHAR2(3 CHAR) NOT NULL,
CONSTRAINT USER_SHORTCUT_DEP_PK PRIMARY KEY (ID_USER_SHORTCUT_DEP)
);

ALTER TABLE USER_SHORTCUT_DEP
ADD CONSTRAINT USD_ID_USER_SHORTCUT_FK
FOREIGN KEY (ID_USER_SHORTCUT)
REFERENCES USER_SHORTCUT(ID_USER_SHORTCUT);

ALTER TABLE USER_SHORTCUT_DEP
ADD CONSTRAINT USD_DEPARTMENT_FK
FOREIGN KEY (DEPARTMENT)
REFERENCES NDEPARTMENT(SIFRA);

CREATE SEQUENCE USER_SHORTCUT_DEP_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

CREATE INDEX IX_USP_ID_USER_SHORTCUT ON USER_SHORTCUT_DEP(ID_USER_SHORTCUT);
CREATE INDEX IX_USP_DEPARTMENT ON USER_SHORTCUT_DEP(DEPARTMENT);

ALTER TABLE USER_SHORTCUT
ADD COLOR VARCHAR2(20 CHAR);

INSERT INTO ALARM_CHECK (SIFRA, OPIS, INTERNI_OPIS, ACTIVE, PRIORITY) VALUES 
('VESSEL_TEMPORARY_EXIT', 'Vessel temporary exit', 'Vessel temporary exit', 'Y', 3);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2211, SYSDATE, '5.5', 2131, 'User shortcut dep')
;
